Guess a Zap [Beta]
curl --request POST \
--url https://api.zapier.com/v2/guess \
--header 'Content-Type: application/json' \
--data '
{
"description": "Save new leads from Facebook Lead Ads to Google Sheets, and email me the lead in Gmail"
}
'import requests
url = "https://api.zapier.com/v2/guess"
payload = { "description": "Save new leads from Facebook Lead Ads to Google Sheets, and email me the lead in Gmail" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Save new leads from Facebook Lead Ads to Google Sheets, and email me the lead in Gmail'
})
};
fetch('https://api.zapier.com/v2/guess', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"title": "Save Facebook Lead Ads leads to Google Sheets and send an email",
"steps": [
{
"step": {
"title": "Trigger when a new lead is created in Facebook Lead Ads",
"app": "Facebook Lead Ads",
"api": "FacebookLeadsAPI"
},
"alternatives": [
{
"title": null,
"app": "LinkedIn Ads",
"api": "LinkedInLeadGenFormsCLIAPI@2.7.1"
}
]
},
{
"step": {
"title": "Save the lead information to a Google Sheet",
"app": "Google Sheets",
"api": "GoogleSheetsV2API"
},
"alternatives": []
}
],
"prefilled_url": "https://api.zapier.com/v1/embed/my-app/create?steps%5B0%5D%5Bapp%5D=FacebookLeadsAPI&steps%5B0%5D%5Baction%5D=lead&steps%5B0%5D%5Btype%5D=read&steps%5B1%5D%5Bapp%5D=GoogleSheetsV2API&steps%5B1%5D%5Baction%5D=add_row&steps%5B1%5D%5Btype%5D=write&utm_campaign=partner_zap_guesser&copilot_prompt=Save+new+leads+from+Facebook+Lead+Ads+to+Google+Sheets%2C+and+email+me+the+lead+in+Gmail&partner_zap_guesser_attempt_id=22f44602-db8f-4a2a-8b09-420b0d277b5f"
}{
"messages": [
{
"detail": "This doesn't seem to be a workflow. You could try something like, 'When a new NFL..."
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 500,
"code": "error",
"title": "APIException",
"detail": "A server error occurred.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "A server error occurred.",
"code": "error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}Zaps
Guess a Zap [Beta]
This endpoint returns a suggested Zap and pre-filled URL to Zapier from a given prompt.
POST
/
v2
/
guess
Guess a Zap [Beta]
Query Parameters
See our authentication documentation for how to find your client ID
Body
application/json
The description of the Zap you wish to create
Response
The generated title for this suggested Zap.
The steps this suggested Zap consists of.
Show child attributes
Show child attributes
A generated prefilled URL to take you to the Zapier editor (selects the highest confidence steps).
Contains informational messages about the prompt.
Show child attributes
Show child attributes
Was this page helpful?
⌘I